Bug 1303401 - [abrt] kde-cli-tools: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>(): kcmshell5 killed by SIGSEGV
[abrt] kde-cli-tools: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>(): kc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-cli-tools (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8e9814b33a1c39075bfa85da995...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 07:59 EST by Eric Lavarde
Modified: 2016-12-20 13:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.56 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: cgroup (201 bytes, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: core_backtrace (2.08 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: dso_list (18.96 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: environ (1.51 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: maps (88.42 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: mountinfo (4.01 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: open_fds (902 bytes, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-31 07:59 EST, Eric Lavarde
no flags Details
File: var_log_messages (297 bytes, text/plain)
2016-01-31 08:00 EST, Eric Lavarde
no flags Details

  None (edit)
Description Eric Lavarde 2016-01-31 07:59:40 EST
Description of problem:
I was trying to assign special Windows Settings so that Konsole would always open in the same virtual desktop, it didn't seem to work, and then I got the crash. The same approach worked in KDE4 / Debian.

Version-Release number of selected component:
kde-cli-tools-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/kcmshell5 --icon preferences-system-windows kwindecoration kwinactions kwinfocus kwinmoving kwinadvanced kwinrules kwincompositing kwineffects kwintabbox kwinscreenedges kwinscripts
crash_function: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>
executable:     /usr/bin/kcmshell5
global_pid:     13970
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QGenericAtomicOps<QBasicAtomicOps<4> >::load<int> at /usr/include/qt5/QtCore/qgenericatomic.h:90
 #1 QBasicAtomicInteger<int>::load at /usr/include/qt5/QtCore/qbasicatomic.h:118
 #2 QtPrivate::RefCount::deref at /usr/include/qt5/QtCore/qrefcount.h:60
 #3 QString::~QString at /usr/include/qt5/QtCore/qstring.h:1053
 #4 QHashNode<QString, QHashDummyValue>::~QHashNode at /usr/include/qt5/QtCore/qhash.h:254
 #5 QHash<QString, QHashDummyValue>::deleteNode2 at /usr/include/qt5/QtCore/qhash.h:585
 #6 QHashData::free_helper at tools/qhash.cpp:491
 #7 QHash<QString, QHashDummyValue>::freeData at /usr/include/qt5/QtCore/qhash.h:621
 #8 QHash<QString, QHashDummyValue>::~QHash at /usr/include/qt5/QtCore/qhash.h:342
 #9 QSet<QString>::~QSet at /usr/include/qt5/QtCore/qset.h:46
Comment 1 Eric Lavarde 2016-01-31 07:59:44 EST
Created attachment 1119868 [details]
File: backtrace
Comment 2 Eric Lavarde 2016-01-31 07:59:45 EST
Created attachment 1119869 [details]
File: cgroup
Comment 3 Eric Lavarde 2016-01-31 07:59:46 EST
Created attachment 1119870 [details]
File: core_backtrace
Comment 4 Eric Lavarde 2016-01-31 07:59:48 EST
Created attachment 1119871 [details]
File: dso_list
Comment 5 Eric Lavarde 2016-01-31 07:59:49 EST
Created attachment 1119872 [details]
File: environ
Comment 6 Eric Lavarde 2016-01-31 07:59:50 EST
Created attachment 1119873 [details]
File: exploitable
Comment 7 Eric Lavarde 2016-01-31 07:59:52 EST
Created attachment 1119874 [details]
File: limits
Comment 8 Eric Lavarde 2016-01-31 07:59:54 EST
Created attachment 1119875 [details]
File: maps
Comment 9 Eric Lavarde 2016-01-31 07:59:55 EST
Created attachment 1119876 [details]
File: mountinfo
Comment 10 Eric Lavarde 2016-01-31 07:59:57 EST
Created attachment 1119877 [details]
File: namespaces
Comment 11 Eric Lavarde 2016-01-31 07:59:58 EST
Created attachment 1119878 [details]
File: open_fds
Comment 12 Eric Lavarde 2016-01-31 07:59:59 EST
Created attachment 1119879 [details]
File: proc_pid_status
Comment 13 Eric Lavarde 2016-01-31 08:00:00 EST
Created attachment 1119880 [details]
File: var_log_messages
Comment 14 Kunal Katyayan 2016-05-15 06:59:45 EDT
Similar problem has been detected:

I'm not sure what caused it. 
Following were being done at around same time:
1. 'sudo dnf update' with download in progress in one tab of konsole.
2. 'du -m |sort -n' in another tab of konsole. No o/p yet. Home partition(btrfs around 100GB max size currently at around 74 GB usage for /home)
3. A folder copy from external disk connected over USB. From ntfs4 -> my btrfs /home. Copy size of around 6.6 GB. Copy completed at around same time when the crash was reported. Copy done via dolphin.
4. A new tab was opened which was still not up(no shell yet).
5. Via quick launch I started another konsole process which was yet to show any window of its own.

Not sure if above is useful or not.

reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/bin/kcmshell5 --icon preferences-system-windows kwindecoration kwinactions kwinfocus kwinmoving kwinadvanced kwinrules kwincompositing kwineffects kwintabbox kwinscreenedges kwinscripts
crash_function: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>
executable:     /usr/bin/kcmshell5
global_pid:     10112
kernel:         4.4.6-301.fc23.x86_64
package:        kde-cli-tools-5.5.5-2.fc23
reason:         kcmshell5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 10:18:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:20:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.